<?php
	require('../model/model.php');
	require('../lib/generalfunctions.php');
         require_once("../security/model.php");
    if (isset($_POST['action'])) {
        $action = $_POST['action'];
    } else if (isset($_GET['action'])) {
        $action = $_GET['action'];
    } else {
        include('../view/index.php');
        exit();
    }
    //if ($action != 'SecurityLogin' && $action != 'SecurityProcessLogin' && !userIsAuthorized($action)) {
      //  if(!loggedIn()) {
      //      header("Location:../security/index.php?action=SecurityLogin&RequestedPage=" . urlencode($_SERVER['REQUEST_URI']));
      //  } else {
      //      include('../security/not_authorized.html');
      //  }
   // } else {
    switch ($action) {
        case 'DeleteSong':
                deleteSong();
                break;
        case 'EditSong':
                editSong();
                break;
        case 'RegisterMember':
            processRegisterMember();
            break;
        case 'Home':
            include '../view/index.php';
            break;
        case 'Newsletter':
            include '../uploadednewsletter/newsletter.php';
            break;
        case 'Music':
            listAllSongs('Music');
            break;
        case 'displaySong':
            displaySong();
            break;
        case 'About':
            include '../view/about.php';
            break;
        case 'SignUp':
            include '../view/signup.php';
            break;
        case 'FileManagement':
            include '../view/manage.php';
            break;
        case 'SendEmails':
            include '../view/emailsend.php';
            break;
        case 'Security':
            include '../security/index.php';
            break;
        case 'Grading':
            include '../view/grading.php';
            break;
        case 'Search':
            listAllSongs('Search');
            break;
        case 'addSong':
            addSong();
            break;
	case 'ProcessAddEdit':
	    processAddEdit();
	    break;
        case "populatesongTable":
                processSongData();
                break;
        case"processimgupload":
             include '../view/processimgupload.php';
             break;
        case"processnewsletterupload":
             include '../view/processnewsletterupload.php';
             break;
        case "processquoteupload":
            include "../view/processquoteupload.php";
            break;
        case "ListSongs":
            listSongs();
            break;
        default: 
            include ('../view/index.php');
        }
  // }
    function addSong()
    {
        $mode = "Add";
        $stitle = "";
        $artist = "";
        $album = "";
        $genre = "";
        $link = "";
        $length = 0;
        $releasedate = "";
        $uploaddate = "";
        $isvideo = "Y";
        $row = 0;
        include '../view/editSong.php';
    }
    
    function processAddEdit() 
    {
        //collect information about track
	$trackID = $_POST['TrackID'];
	$stitle = $_POST['Title'];
        $mode = $_POST['Mode'];
	$artist = $_POST['Artist'];
	$album = $_POST['Album'];
	$genre = $_POST['Genre'];
	$link = $_POST['Link'];
        $length = $_POST['Track_Length'];
        $releasedate = $_POST['Release_Date'];
        $uploaddate = $_POST['Upload_Date'];
	if (isset($_POST['Is_Video'])) {
            $isvideo = 'Y';
	} else {
            $isvideo = 'N';
            }
        if (isset($_POST['DeleteImage'])) {
            $deleteImage = TRUE;
        } else {
            $deleteImage = FALSE;
        }
            $tempImageFilePath = "";
            
            //error handling
		$errors = "";
		if (empty($stitle) || strlen($stitle) > 50) {
			$errors .= "\\n* Title is required and must be no more than 30 characters.";
		}
		if (empty($artist) || strlen($artist) > 50) {
			$errors .= "\\n* Artist is required and must be no more than 30 characters.";
		}
		if (empty($album)) {
			$album = "N/A";
		}if(strlen($album > 75))
                {
                    $errors .= "\\n* Album cannot be over 30 characters.";
                }
		if (empty($genre) || strlen($genre) > 20) {
			$errors .= "\\n* Genre is required and cannot be over 20 characters.";
		}
		if (strlen($link) > 100) {
			$errors .= "\\n* Link must be less than 100 characters. ";
		}
		if (!is_numeric($length)) {
			$errors .= "\\n* Length is required and must be a time. Use MMSS formatting, without colons.";
		} else if (empty ($length)) {
			$length = 0;
		}
                if (empty($releasedate) && !strtotime($releasedate)) {
		$errors .= "\\n* Release Date is required and must be a date.";
		}
		if (empty($uploaddate) && !strtotime($uploaddate)) {
			$errors .= "\\n* Upload Date is required and must be a date.";
		}
		if ($_FILES['ImageFile']['error'] != UPLOAD_ERR_NO_FILE) {
			// Check to see if they uploaded an image and if so, validate it:
			$image_info = getimagesize($_FILES['ImageFile']['tmp_name']);
			$image_width = $image_info[0];
			$image_height = $image_info[1];
			$image_type = $image_info[2];
			if ($image_type != IMAGETYPE_JPEG) {
				$errors .= "\\n* Only jpg image files are supported.  Choose another file.";
			} else if ($_FILES['ImageFile']['size'] > 100000000) {
				$errors .= "\\n* Please choose a file smaller than 100KB and then try again...</p>";
			} else {
			   $tempImageFilePath = $_FILES['ImageFile']['tmp_name'];
			}
		}
		if ($errors != "") {
			include '../view/editSong.php';
                        
                //execution of edit/add
		}else {
                    if ($mode == "Add") {
			$trackID = insertSong($stitle, $artist, $album, $genre, $link,  $length, $releasedate,$uploaddate, $isvideo, $tempImageFilePath );
                    }else{
                    $rowsAffected = updateSong($trackID,$stitle, $artist, $album, $genre, $link,  $length, $releasedate,$uploaddate, $isvideo, $tempImageFilePath, $deleteImage );
                    }
			header("Location:../controller/controller.php?action=displaySong&TrackID=$trackID");
		}
	}
    
    
    function listAllSongs($case) 
// $case is used to determine which page needs to be run after getting data from table, so remember to call it
// this is a bit weird, but better than making two different functions for the same problem, imo
    {
        $results = getAllSongs();
        if (count($results) == 0)
        {
            $errorMessage = "No Songs found.";
            include '../view/errorPage.php';
        } else{
            if ($case == 'Music'){
            include '../view/music.php';
            }
            else if ($case == 'Search'){
                include '../view/search.php';
            }
        } 
    }

    function displaySong()
    {
        $trackID = $_GET['TrackID'];
        if (!isset($trackID)){
            $errorMessage = "You must provide a track ID to display.";
            include '../view/errorPage.php';
        } else {
            $row = getSong($trackID);
            if ($row == FALSE){
                $errorMessage = 'The song was not found.';
                include '../view/errorPage.php';
            } else {
                
                include '../view/songDetails.php';
            }
        }
    }
    //grabs email from user, checks for valid entry and then sends it to model to be stored. Displays process page afterwards. 
    function processRegisterMember(){
         $email = $_POST['Email'];
            if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
                $emailErr = "Invalid email format";
            } else {
                $msg = "Thank you for signing up to Mysteria :)";
                saveMemberInfo($email);
                   
            }
            include '../view/processregistermember.php'; 
    }
    //figures out query type and sends it to the correct function in model
    function ListSongs(){
      $listType = filter_input(INPUT_GET, 'ListType');
		if ($listType == 'Electronic') {
			$results = getTrack($listType);
		} else if ($listType == 'Rap') {
			$results = getTrack($listType);
		} else if ($listType == 'Rock') {
			$results = getTrack($listType);
		}else if ($listType == 'Indie') {
			$results = getTrack($listType);
		}else if ($listType == 'HipHop') {
                    $listType ='Hip Hop';
			$results =getTrack($listType);
		}else if ($listType == 'Pop') {
			$results = getTrack($listType);
		}
                else if ($listType == 'GeneralSearch') {
			$results = getByGeneralSearch($_GET['Criteria']);
		} else if ($listType == 'Recent') {
			$results = getSortedTracks($listType);
		}else if ($listType == 'Oldest') {
			$results = getSortedTracks($listType);
		}else {
			$results = getAllSongs();
		}
		if (count($results) == 0) {
			$errorMessage = "No songs found.";
			include '../view/errorPage.php';
		} else if (count($results) == 1) {
                    //this case is like a bomb, do not touch it, took me forever to figure out how to get this
                    //to keep the image because you can't just call the controller action - Gunn
                        $row = $results[0];
                        $row = getSong($row['TrackID']);
                        $row['SongImagePath'] = getSongImage($row['TrackID']);
                       include "../view/songDetails.php";
		} else {
			include '../view/music.php';
		}
	}
        
        
	function deleteSong() {
		$TrackID = $_GET['TrackID'];
		if (!isset($TrackID)) {
			$errorMessage = 'You must provide a TrackID to delete.';
			include '../view/errorPage.php';
		} else {
			$rowCount = deleteOneSong($TrackID);
			if ($rowCount != 1) {
				$errorMessage = "The delete affected $rowCount rows.";
				include '../view/errorPage.php';
			} else {
				header("Location:../controller/controller.php?action=Music");
			}
		}
		
	}
    function editSong() {
		$TrackID = $_GET['TrackID'];
		if (!isset($TrackID)) {
			$errorMessage = 'You must provide a TrackID to display.';
			include '../view/errorPage.php';
		} else {
			$row = getSong($TrackID);
			if ($row == FALSE) {
				$errorMessage = 'That song was not found.';
				include '../view/errorPage.php';
			} else {
				$mode = "Edit";
                                $trackID = $row['TrackID'];
				$stitle = $row['Title'];
                                $artist = $row['Artist'];
                                $album = $row['Album'];
                                $genre = $row['Genre'];
                                $link = $row['Link'];
                                $length = $row['Track_Length'];
                                $releasedate = $row['Release_Date'];
                                $uploaddate = $row['Upload_Date'];
                                $isvideo = $row['Is_Video'];
				include '../view/editSong.php';
			}
		}		
	}