<!DOCTYPE html>
<html lang="en">
    <!-- Header PHP -->
    <?php
    $title = "$mode Song - Mysteria";
    require 'headerinclude.php';
    ?>
    <body>
        <!-- Set the div container to 'bggrad' -->
        <div class="bggrad">   
        <!-- Navbar PHP-->
        <?php
        include_once 'navinclude.php';
        ?>
        
            <!-- Set the div container to 'wrapper' -->
            <div class="wrapper">
                
                <div class="detailForm">
                <h1 class="headingwhite"> <?php echo $mode ?> Songs</h1>
                <span class="required">* <span class="addsongtextinfo">symbol means the field is required to be filled.</span></span>
                    <form id="SongSelect" action="../controller/controller.php?action=ProcessAddEdit" method="post" enctype="multipart/form-data"  
                          onsubmit="return validateForm();">
                        <br>
                        <input type="hidden" name="TrackID" value="<?php echo $trackID ?>" />
                        <input type="hidden" name="Mode" value="<?php echo htmlspecialchars($mode) ?>" />
                        <div class="formRow">
                            <label class="addsongtext" for="Title">Song Name:</label>
                            <input type="text" name="Title" id="Title" value="<?php echo htmlspecialchars($stitle)?>" required
                                minlength="1" maxlength="50" autofocus/><span class="required">*</span> 
                            
                        </div> 

                        <div class="formRow">
                            <label class="addsongtext" for="Artist">Artist:</label>
                            <input type="text" name="Artist" id="Artist" value="<?php echo htmlspecialchars($artist)?>" required
                                   minlength="1" maxlength="50" autofocus/><span class="required">*</span> 
                        </div> 

                        <div class="formRow">
                            <label class="addsongtext" for="Album">Album:</label>
                            <input type="text" name="Album" id="Album" value="<?php echo htmlspecialchars($album)?>"/>
                        </div> 

                        <div class="formRow">
                            <label class="addsongtext "for="Genre">Genre:</label>
                            <input type="text" name="Genre" id="Genre" value="<?php echo htmlspecialchars($genre)?>" required
                                   minlength="1" maxlength="20" autofocus/>      
                            <span class="required">*</span> 
                        </div> 

                        <div class="formRow">
                            <label class="addsongtext" for="Link">Link:</label>
                            <input type="text" name="Link" id="Link" value="<?php echo htmlspecialchars($link)?>" required
                                   minlength="8" maxlength="100" autofocus/>
                            <span class="required">*</span> 
                        </div> 

                        <div class="formRow">
                            <label class="addsongtext" for="Track_Length">Length:</label>
                            <input type="text" name="Track_Length" id="Track_Length" value="<?php echo htmlspecialchars(toFormTime(toDisplayTime($length)))?>" required
                                   minlength="4" maxlength="4" autofocus/>
                            <span class="required">*</span> 
                        </div> 

                        <div class="formRow">
                            <label class="addsongtext" for="Release_Date">Release Date:</label>
                            <input type="date" name="Release_Date" id="Release_Date" value="<?php echo htmlspecialchars(toMySQLDate($releasedate)) ?>" required
                                   minlength="10" maxlength="10" autofocus/>
                            <span class="required">*</span> 
                        </div> 

                        <div class="formRow">
                            <label class="addsongtext" for="Upload_Date">Upload Date:</label>
                            <input type="date" name="Upload_Date" id="Upload_Date" value="<?php echo htmlspecialchars(toMySQLDate($uploaddate)) ?>" required
                                   minlength="10" maxlength="10" autofocus/>
                            <span class="required">*</span> 
                        </div> 
                        <div class="formRow">
                            <label for="ImageFile"><p><?php echo $mode ?> Image File:<p></label>
			<input type="file" name="ImageFile" id="ImageFile"  />
                        </div>
                        <div class="formRow">
                            <label class ="addsongtext" for="Is_Video">Is Video?:</label>
                            <input type="checkbox" name="Is_Video" id="Is_Video" <?php if($isvideo == 'Y') echo 'checked' ?> />   
                        </div> 
                        <?php if ($row['songImagePath'] != "" ) {  ?>
                        <div class="formRow">
				<label for="DeleteImage" class="modified">Delete Image:</label>
				<input type="checkbox" name="DeleteImage" id="DeleteImage" />
			</div>
                        <?php } ?>
                        <div class="formRow">
                            <input type="submit" name="SubmitButton" value="Save" />
                        </div>
                    </form>
                </div>
                <?php if ($row['songImagePath'] != "" ) {  ?>
                <div>
                    <h1 class="headingwhite">Image Preview</h1>
		<img id="editSongImg" src="<?php echo $row['songImagePath'] ?>?foolcache=<?php echo time() ?>" alt="Song Image">
                </div>
                <?php } ?>
                <script>
                <?php
		if (!empty($errors)) {
			echo "alert('Please correct the following errors:\\n$errors');";
		}
                ?>
                
                
                </script>

                
            </div>
        
        
         <!-- Footer PHP -->
        <?php
        include_once 'footerinclude.php';
        ?>
    </body>
