<!DOCTYPE html>
<!-- Image Upload Processing -->
<html lang="en">
    <!-- Header PHP -->
    <?php
    $title = "File Uploads - Mysteria";
    include_once 'headerinclude.php';
    ?>
    
    <body>
        <!-- Set the div container to 'bggrad' -->
        <div class="bggrad">
            
        <!-- Navbar PHP-->
        <?php
        include_once 'navinclude.php';
        ?>
        
        <!-- Set the div container to 'wrapper' -->
        <div class="wrapper">
           <?php
            //save file location and check if it exists, save upload message depending on condition
            $uploadfile = '../uploadedimages/' . $_FILES['userfile']['name'];
            if (file_exists($uploadfile)) {
		$message = "The file was replaced successfully";
            } else {
		$message = "The file was successfully uploaded";
            }
            //Scan 'uploadedimages' directory for any existing files, then displays them:
            $dir    = '../uploadedimages/';
            $files = scandir($dir, SCANDIR_SORT_DESCENDING);
            foreach($files as $file) {
            if ($file !== '.' and $file !== '..')
            echo $file;
            }
             //collecting image information
            
            $image_info =
                    getimagesize($_FILES['userfile']['tmp_name']);
            $image_width = $image_info[0];
            $image_height = $image_info[1];
            $image_type = $image_info[2];
            
            //if statement restricting the filetype to be an image
            if ($image_type != IMAGETYPE_JPEG && $image_type != 
		IMAGETYPE_GIF && $image_type != IMAGETYPE_PNG) {
		echo "<p>Only jpeg, gif, and png files are supported.  Please try again.</p>";
		print_r($image_info);
                }
            //move selected file into server if is an image
            else if (move_uploaded_file($_FILES['userfile']['tmp_name'], 
							$uploadfile)) {
            echo "<p class=modified>$message.</p>";
            // error handling
            } else if ($_FILES['userfile']['error'] == UPLOAD_ERR_NO_FILE) {
		echo "<p>Please choose a file first and then try again...</p>";
            } else if ($_FILES['userfile']['size'] > 1000000) {
		echo "<p>Please choose a file smaller than 1MB and then try again...</p>";
            } else {
                echo "File Upload Error\n Debugging info:";
                print_r($_FILES);
                   }
        ?>
          
            
        </div>
        
        
        <!-- Footer PHP -->
        <?php
        include_once 'footerinclude.php';
        ?>
        
        <script type="module" src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js"></script>
        <script nomodule src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"></script>
    </div>
    </body>
</html>

