-- phpMyAdmin SQL Dump
-- version 4.9.0.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: May 03, 2023 at 03:17 AM
-- Server version: 10.3.15-MariaDB
-- PHP Version: 7.3.6

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `s_jegunn`
--

-- --------------------------------------------------------

--
-- Table structure for table `functions`
--

DROP TABLE IF EXISTS `functions`;
CREATE TABLE IF NOT EXISTS `functions` (
  `FunctionID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(64) NOT NULL,
  `Description` text DEFAULT NULL,
  PRIMARY KEY (`FunctionID`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `functions`
--

INSERT INTO `functions` (`FunctionID`, `Name`, `Description`) VALUES
(1, 'SecurityManageUsers', 'Allows for reading users and interface to add, change, and delete.'),
(2, 'SecurityUserAdd', 'Allows for adding of users by enabling link on manage form.'),
(3, 'SecurityUserEdit', 'Allows for editing of users by enabling link on manage form.'),
(4, 'SecurityUserDelete', 'Allows for deleting of users by enabling checkbox on manage form.'),
(5, 'SecurityProcessUserAddEdit', 'Required to process an add, change, or delete of users.'),
(6, 'SecurityManageFunctions', 'Allows for reading functions and interface to add, change, and delete.'),
(7, 'SecurityFunctionAdd', 'Allows for adding of functions by enabling link on manage form.'),
(8, 'SecurityFunctionEdit', 'Allows for editing of functions by enabling link on manage form.'),
(9, 'SecurityFunctionDelete', 'Allows for deleting of functions by enabling checkbox on manage form.'),
(10, 'SecurityProcessFunctionAddEdit', 'Required to process an add, change, or delete of functions.'),
(11, 'SecurityManageRoles', 'Allows for reading roles and interface to add, change, and delete.'),
(12, 'SecurityRoleAdd', 'Allows for adding of roles by enabling link on manage form.'),
(13, 'SecurityRoleEdit', 'Allows for editing of roles by enabling link on manage form.'),
(14, 'SecurityRoleDelete', 'Allows for deleting of roles by enabling checkbox on manage form.'),
(15, 'SecurityProcessRoleAddEdit', 'Required to process an add, change, or delete of roles.'),
(16, 'SecurityLogin', 'Provide Username and Password'),
(17, 'SecurityLogOut', 'Exit the application.'),
(18, 'SecurityProcessLogin', 'Try to authorize a user login.'),
(19, 'SecurityHome', 'Default security page with login button.');

-- --------------------------------------------------------

--
-- Table structure for table `music`
--

DROP TABLE IF EXISTS `music`;
CREATE TABLE IF NOT EXISTS `music` (
  `TrackID` int(11) NOT NULL AUTO_INCREMENT,
  `Title` varchar(50) NOT NULL,
  `Artist` varchar(50) NOT NULL,
  `Album` varchar(75) NOT NULL,
  `Genre` varchar(20) NOT NULL,
  `Link` varchar(100) DEFAULT NULL,
  `Track_Length` time(6) NOT NULL,
  `Release_Date` date DEFAULT NULL,
  `Upload_Date` date DEFAULT NULL,
  `Is_Video` char(1) DEFAULT NULL,
  PRIMARY KEY (`TrackID`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `music`
--

INSERT INTO `music` (`TrackID`, `Title`, `Artist`, `Album`, `Genre`, `Link`, `Track_Length`, `Release_Date`, `Upload_Date`, `Is_Video`) VALUES
(1, 'Dancin', 'Aaron Smith', 'N/A', 'Electronic', 'https://www.youtube.com/watch?v=6Nb-prB-4P0', '00:04:06.000000', '2014-11-03', '2023-02-06', 'Y'),
(2, 'As Above, so Below', 'tuMaggz', 'N/A', 'Rap', 'https://www.youtube.com/watch?v=Ow6eypG6zC0', '00:02:26.000000', '2020-12-14', '2023-02-06', 'Y'),
(3, 'Fuji', 'Vanilla', 'Origins', 'Electronic', 'https://www.youtube.com/watch?v=aiadDoTzK0c', '00:05:34.000000', '2019-06-30', '2023-02-06', 'Y'),
(4, 'Vitamin', 'JAK', 'N/A', 'Electronic', 'https://soundcloud.com/arkadenmusicofficial/vitamin', '00:02:57.000000', '2022-03-10', '2023-03-24', 'N'),
(5, 'Talk To Me', 'Peyruis', 'N/A', 'Electronic', 'https://soundcloud.com/peyruis/talk-to-me', '00:03:24.000000', '2020-11-13', '2023-03-24', 'N'),
(6, 'Lose This', 'Dylan Emmet', 'Touch EP', 'Pop', 'https://soundcloud.com/dylanemmet/lose-this-writing-demo', '00:02:38.000000', '2020-12-04', '2023-03-24', 'N'),
(7, 'Megalovania', 'Toby Fox', 'Undertale Soundtrack', 'Rock', 'https://www.youtube.com/watch?v=wDgQdr8ZkTw', '00:05:13.000000', '2015-09-15', '2023-03-24', 'N'),
(8, 'Sandstorm', 'Darude', 'Before the Storm', 'Electronic', 'https://www.youtube.com/watch?v=y6120QOlsfU', '00:03:52.000000', '2009-07-04', '2023-03-24', 'Y'),
(9, 'Graffiti', 'SAMAHTA', 'N/A', 'Electronic', 'https://www.youtube.com/watch?v=-oCJRidej6M&t=0s', '00:03:43.000000', '2018-06-01', '2023-03-24', 'N'),
(10, 'Otis McMusic', 'Otis McDonald', 'N/A', 'Hip Hop', 'https://youtu.be/HkOwVGvcsSM', '00:01:54.000000', '2017-09-23', '2023-03-24', 'N'),
(11, 'Electronic Cigarettes', 'Uppbeat x Mitch the Hero', 'N/A', 'Indie', 'https://www.youtube.com/watch?v=sP3VBo58CDU', '00:02:36.000000', '2023-03-14', '2023-03-26', 'Y'),
(12, 'BLACK RAINBOW', 'Grim Salvo', 'MILDRED', 'Hip Hop', 'https://www.youtube.com/watch?v=onKCKV_IfpA', '00:05:35.000000', '2022-11-10', '2023-03-26', 'Y'),
(13, 'Hate', 'ThxSoMch', 'N/A', 'Indie', 'https://www.youtube.com/watch?v=Y8YaEG0ysuk&t=12s', '00:02:14.000000', '2023-02-19', '2023-03-26', 'Y'),
(14, 'Crystals', 'Isolate.exe', 'N/A', 'Electronic', 'https://www.youtube.com/watch?v=5CGW2VYU6-A', '00:02:19.000000', '2022-01-28', '2023-03-26', 'N'),
(15, 'PSYCHOGENESIS', 'KoruSe', 'N/A', 'Electronic', 'https://www.youtube.com/watch?v=d8081_cQZyY', '00:02:15.000000', '2022-12-29', '2023-03-26', 'N'),
(16, 'Swimming Pools (Drank)', 'Kendrick Lamar', 'good kid, m.A.A.d city', 'Rap', 'https://www.youtube.com/watch?v=QwDk4Eo0dwo', '00:05:13.000000', '2013-01-01', '2018-08-04', 'Y');

-- --------------------------------------------------------

--
-- Table structure for table `rolefunctions`
--

DROP TABLE IF EXISTS `rolefunctions`;
CREATE TABLE IF NOT EXISTS `rolefunctions` (
  `RoleID` int(11) NOT NULL,
  `FunctionID` int(11) NOT NULL,
  KEY `RoleID` (`RoleID`),
  KEY `FunctionID` (`FunctionID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `rolefunctions`
--

INSERT INTO `rolefunctions` (`RoleID`, `FunctionID`) VALUES
(1, 1),
(1, 2),
(1, 3),
(1, 4),
(1, 5),
(1, 6),
(1, 7),
(1, 8),
(1, 9),
(1, 10),
(1, 11),
(1, 12),
(1, 13),
(1, 14),
(1, 15),
(2, 1),
(2, 6),
(2, 7),
(2, 8),
(2, 9),
(2, 10),
(2, 11),
(2, 12),
(2, 13),
(2, 14),
(2, 15),
(3, 1),
(3, 6),
(3, 11),
(4, 11),
(4, 16),
(4, 17),
(4, 18),
(4, 19);

-- --------------------------------------------------------

--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `roles`;
CREATE TABLE IF NOT EXISTS `roles` (
  `RoleID` int(11) NOT NULL AUTO_INCREMENT,
  `Name` varchar(32) NOT NULL,
  `Description` text DEFAULT NULL,
  PRIMARY KEY (`RoleID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `roles`
--

INSERT INTO `roles` (`RoleID`, `Name`, `Description`) VALUES
(1, 'admin', 'Full privileges.'),
(2, 'updater', 'Update/Read privileges.'),
(3, 'reader', 'Read-only privileges.'),
(4, 'guest', 'Features available to all visitors without logging in.');

-- --------------------------------------------------------

--
-- Table structure for table `userroles`
--

DROP TABLE IF EXISTS `userroles`;
CREATE TABLE IF NOT EXISTS `userroles` (
  `UserID` int(11) NOT NULL,
  `RoleID` int(11) NOT NULL,
  KEY `UserID` (`UserID`),
  KEY `RoleID` (`RoleID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `userroles`
--

INSERT INTO `userroles` (`UserID`, `RoleID`) VALUES
(1, 1),
(2, 2),
(3, 3),
(4, 4);

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE IF NOT EXISTS `users` (
  `UserID` int(11) NOT NULL AUTO_INCREMENT,
  `FirstName` varchar(32) NOT NULL,
  `LastName` varchar(32) NOT NULL,
  `UserName` varchar(32) NOT NULL,
  `Password` varchar(40) NOT NULL,
  `Email` varchar(32) NOT NULL,
  PRIMARY KEY (`UserID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`UserID`, `FirstName`, `LastName`, `UserName`, `Password`, `Email`) VALUES
(1, 'Jon', 'ODonnell', 'admin', 'd033e22ae348aeb5660fc2140aec35850c4da997', 'jodonnell@clarion.edu'),
(2, 'Bill', 'Updater', 'bill', 'c692d6a10598e0a801576fdd4ecf3c37e45bfbc4', 'bill@localhost'),
(3, 'Joe', 'Reader', 'joe', '16a9a54ddf4259952e3c118c763138e83693d7fd', 'joe@localhost'),
(4, 'guest', 'guest', 'guest', '35675e68f4b5af7b995d9205ad0fc43842f16450', 'guest@localhost');

--
-- Constraints for dumped tables
--

--
-- Constraints for table `rolefunctions`
--
ALTER TABLE `rolefunctions`
  ADD CONSTRAINT `rolefunctions_ibfk_1` FOREIGN KEY (`RoleID`) REFERENCES `roles` (`RoleID`) ON DELETE CASCADE,
  ADD CONSTRAINT `rolefunctions_ibfk_2` FOREIGN KEY (`FunctionID`) REFERENCES `functions` (`FunctionID`) ON DELETE CASCADE;

--
-- Constraints for table `userroles`
--
ALTER TABLE `userroles`
  ADD CONSTRAINT `userroles_ibfk_1` FOREIGN KEY (`UserID`) REFERENCES `users` (`UserID`) ON DELETE CASCADE,
  ADD CONSTRAINT `userroles_ibfk_2` FOREIGN KEY (`RoleID`) REFERENCES `roles` (`RoleID`) ON DELETE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
