<!DOCTYPE html>
<!-- About Page -->
<html lang="en">
    <!-- Header PHP -->
    <?php
    $title = "About - Mysteria";
    require'../view/headerinclude.php';
    
    ?>
    <body>
        
        <!-- Set div container to 'bggrad' -->
        <div class="bggrad">
            
        <!-- Navbar PHP-->
        <?php
        require '../view/navinclude.php';
        ?>
        
        <!-- Set div container to 'wrapper'-->
        <div class="wrapper">
            <!-- Create a header/paragraph that displays the following information:-->
            <h2 class="subheading">MYSTERIA INC.</h2>
            <p> K. Reis, J. Gunn , A. Pannullo <br>
                2023 <br><br>
                <!-- Set the 'Email Us' text to automatically open an email application to the following address:-->
                <a href=" mailto:s_krreis@pennwest.edu">Email Us</a>
            </p>
            <p>
                Mysteria INC specializes in presenting its users with current music content from across the internet. 
                We do our best to curate and present music from up and comers, long time favorites, and others.
            </p>
            <hr>
            
            <div id="googlemap">
            <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3001.5886574278857!2d-79.38075178431174!3d41.208940715000764!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x8833333534c85513%3A0x38c5e53c85775dda!2sPennWest%20Clarion!5e0!3m2!1sen!2sus!4v1675695149662!5m2!1sen!2sus" width="350" height="250" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
            </div>
        </div> 
        <!-- Footer PHP -->
        <?php
        require '../view/footerinclude.php';
        ?>
        
        <!-- Create the following scrips: -->
        <script type="module" src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js"></script>
        <script nomodule src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"></script>
    </div>
    </body>
</html>


