<!DOCTYPE html>
<!-- Index Page -->
<html lang="en">
    
    <!-- Header PHP -->
    <?php
    $title = "Mysteria";
    require '../view/headerinclude.php';
    
    ?>
    
    <body >
        <!-- Set the div container to 'bggrad' -->
        <div class="bggrad">
            
        <!-- Navbar PHP-->
        <?php
        require '../view/navinclude.php';
        ?>
<div class="wrapper">
<!-- Set header of home page to the following: -->
  <h2 class="subheading">Songs of the Week <i class="fa fa-music" aria-hidden="true"></i></h2>
  <h2 class="nowplaying">Currently playing: <p id="songname">Test</p></h2> 
  <div> 
      <audio id="audioplayer" controls autoplay> </audio>
      
<!-- AUDIO PLAYER SCRIPT -->      
<script>
    var lastSong = null;
    var selection = null;
    var playlist = ["audioplayer/BLACKRAINBOW.mp3", "audioplayer/Hate.mp3", "audioplayer/ElectronicCigarettes.mp3", "audioplayer/PSYCHOGENESIS.mp3", 
    "audioplayer/TalkToMe.mp3", "audioplayer/Crystals.mp3", "audioplayer/AsAboveSoBelow.mp3", "audioplayer/Dancin.mp3"]; // List of songs
    var player = document.getElementById("audioplayer"); // Get audio element
    player.autoplay=false;
    player.addEventListener("ended", selectRandom); // Run function when the song ends
    
    function selectRandom(){
        while(selection == lastSong){ // Repeat until a different song is selected
            selection = Math.floor(Math.random() * playlist.length);
        }
        lastSong = selection; // Remember the last song
        player.src = playlist[selection]; // Tell HTML the location of the new song
        let nowplaying = playlist[selection];
        document.getElementById("songname").innerHTML = playlist[selection];
            
            const btnPrevious = document.getElementById("previous");
            btnPrevious.addEventListener("click", previousSong);
            function previousSong() {
            let nowplaying = playlist[lastSong];
            document.getElementById("songname").innerHTML = playlist[selection];
            }
    }
    selectRandom(); // Select initial song
    
</script>

<!-- SKIP SONG BUTTON SCRIPT-->
<script>
    const btnSkip = document.getElementById("skip");
    btnSkip.addEventListener("click", skipSong);
    var lastSong = null;
    var selection = null;
    var playlist = ["audioplayer/BLACKRAINBOW.mp3", "audioplayer/Hate.mp3", "audioplayer/ElectronicCigarettes.mp3", "audioplayer/PSYCHOGENESIS.mp3", 
    "audioplayer/TalkToMe.mp3", "audioplayer/Crystals.mp3", "audioplayer/AsAboveSoBelow.mp3", "audioplayer/Dancin.mp3"]; // List of songs
    var player = document.getElementById("audioplayer"); // Get audio element
    player.autoplay=false;
        function skipSong() {
        while(selection == lastSong){ // Repeat until a different song is selected
            selection = Math.floor(Math.random() * playlist.length);
        }
        lastSong = selection; // Remember the last song
        player.src = playlist[selection]; // Tell HTML the location of the new song
        let nowplaying = playlist[selection];
        document.getElementById("songname").innerHTML = playlist[selection];
    }    
</script>

<!-- PREVIOUS SONG BUTTON SCRIPT -->
<script>

</script>


  </div>
  <button onclick="previousSong()" id="previous">prev</button> <button onclick="skipSong()" id="skip">skip</button>
  <br>
  <!-- Photo carousel div container -->
  <div id="myCarousel" class="carousel slide" data-ride="carousel">
    <!-- Indicators -->
    <ol class="carousel-indicators">
      <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
      <li data-target="#myCarousel" data-slide-to="1"></li>
      <li data-target="#myCarousel" data-slide-to="2"></li>
    </ol>

    <!-- Wrapper for slides -->
    <div class="carousel-inner">
      
      <!-- Div container for item 1 in carousel slideshow -->
      <div class="item active">
        <img src="../images/dancinbanner.jpg" alt="Los Angeles" class="carouselimg">
        <div class="carousel-caption">
          <!-- Create a header in the carousel with the following information displayed: -->
          <h3>Song of the Week - Dancin by Aaron Smith (KRONO Remix) </h3>
          <a href="newsletter.php">Click here to read review</a>
        </div>
      </div>
      
      <!-- Div container for item 2 in carousel slideshow -->
      <div class="item">
        <img  src="../images/asabovesobelow.jpg" alt="Chicago" class="carouselimg">
        <div class="carousel-caption">
          <!-- Create a header in the carousel with the following information displayed: -->
          <h3>Video of the Week - As Above, so Below by tuMaggz </h3>
          <a href="newsletter.php">Click here read review</a>
        </div>
      </div>
      
      <!-- Div container for item 3 in carousel slideshow -->
      <div class="item">
        <img src="../images/carouselfuji.jpg" alt="New York" class="carouselimg">
        <div class="carousel-caption">
          <!-- Create a header in the carousel with the following information displayed: -->
          <h3>Beat of the Week - Fuji by Vanilla</h3>
          <a href ="newsletter.php">Click here read review</a>
        </div>
      </div>
  
    </div>

    <!-- Left button carousel controls: -->
    <a class="left carousel-control" href="#myCarousel" data-slide="prev">
      <span class="glyphicon glyphicon-chevron-left"></span>
      <span class="sr-only">Previous</span>
    </a>
    <!-- Right button carousel controls: -->
    <a class="right carousel-control" href="#myCarousel" data-slide="next">
      <span class="glyphicon glyphicon-chevron-right"></span>
      <span class="sr-only">Next</span>
    </a>
    </div>
</div>  
 
        <!-- Footer PHP -->
        <?php
        require '../view/footerinclude.php';
        ?>
        
        <script type="module" src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js"></script>
        <script nomodule src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"></script>
   </div>
    </body>
</html>