<!DOCTYPE html>
<!-- Music Page -->
<html lang="en">
    <!-- Header PHP -->
    <?php
    $title = "Music - Mysteria";
    include_once 'headerinclude.php';
    ?>
    
    <body>
        <!-- Set the div container to 'bggrad' -->
        <div class="bggrad">
            
        <!-- Navbar PHP-->
        <?php
        include_once 'navinclude.php';
        ?>
        
        <!-- Set the div container to 'wrapper' -->
        <div class="wrapper">
           
            <h2 class="subheading">Current Tracks</h2>
            <a href="../controller/controller.php?action=Search"><div class="searchbutton">Search</div></a> 
            
    <table class="indextable">
            <tr>
                <th>Title</th>
                <th>Artist</th>
                <th>Album</th>
                <th>Genre</th>
                
            </tr>
        <tbody>
          <?php foreach ($results as $row) { ?>
            <tr>
        
            <td><a href="../controller/controller.php?action=displaySong&TrackID=<?php echo $row['TrackID']?>"> 
                <?php echo $row['Title'] ?>        </a> </td>
                <td> <?php echo $row['Artist'] ?> </td>
                <td> <?php echo $row['Album'] ?> </td>
                <td> <?php echo $row['Genre'] ?> </td>
            </tr>
            
          <?php }?>   
            
        </tbody>
    </table>
            
        </div>
        
        
        <!-- Footer PHP -->
        <?php
        include_once 'footerinclude.php';
        ?>
        <script src="../js/songTable.js"></script>
        <script type="module" src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js"></script>
        <script nomodule src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"></script>
    </div>
    </body>
</html>

