<!DOCTYPE html>
<!-- Index Page -->
<html lang="en">
  
    <!-- Load icon library -->
    
    
    <!-- Header PHP -->
    <?php
    $title = "Mysteria";
    require '../view/headerinclude.php';
    
    ?>
    
    <body>
        <!-- Set the div container to 'bggrad' -->
        <div class="bggrad">
            
        <!-- Navbar PHP-->
        <?php
        require '../view/navinclude.php';
        ?>
           <div class="wrapper"> 
            <h2 class="searchheading">Search For Songs:</h2>
            
            <!-- general search bar -->
            <form class="example" >
            <input type="text" placeholder="Search.." id="Criteria">
            <button type="button" onclick="generalSearch()"><i class="fa fa-search"></i></button>
            
            </form>
           
            <hr>
        
    <div class="detailForm">
            <div class="formRow">
            <label class="modified">Select your Song:</label>
            <select id="MusicSelect"  onchange="musicLookup()">
            <option value="0">Select a Song</option>
            <?php foreach ($results as $row) { ?>
                <option value="<?php echo $row['TrackID']?>"><?php echo $row['Title'] ?></option>
			<?php } ?>
            </select>
            
            <label class="modified">Select a genre:</label>
            
            </div>
        <hr>
        <div class="searchlinksdiv">
        <p>Search by Genre:</p>
        <div class="formRow">
		<a href="../controller/controller.php?action=ListSongs&ListType=Electronic">Electronic</a>
	</div>
        <div class="formRow">
		<a href="../controller/controller.php?action=ListSongs&ListType=Rap">Rap</a>
	</div>
        <div class="formRow">
		<a href="../controller/controller.php?action=ListSongs&ListType=HipHop">Hip Hop</a>
	</div>
        <div class="formRow">
		<a href="../controller/controller.php?action=ListSongs&ListType=Indie">Indie</a>
	</div>
        <div class="formRow">
		<a href="../controller/controller.php?action=ListSongs&ListType=Rock">Rock</a>
	</div>
        <div class="formRow">
		<a href="../controller/controller.php?action=ListSongs&ListType=Pop">Pop</a>
	</div>
        </div>
        <div class="searchlinksdiv">
            <p>Search by Upload Date:</p>
            <div class="formRow">
		<a href="../controller/controller.php?action=ListSongs&ListType=Recent">Recently Uploaded</a>
	</div>
            <div class="formRow">
		<a href="../controller/controller.php?action=ListSongs&ListType=Oldest">Oldest Uploaded</a>
	</div>
        </div>
    </div>
        
<script>
  
   //stop users from being able to use enter key specifically on this page because that breaks the 
   //search bar really badly for some reason
  $(document).ready(function() {
  $(window).keydown(function(event){
    if(event.keyCode === 13) {
      event.preventDefault();
      return false;
    }
  });
});
    
    function musicLookup(){
        if ( $('#MusicSelect').val() !== '0'){
        document.location = "../controller/controller.php?action=displaySong&TrackID=" +
            $('#MusicSelect').val();
        }
    }
    
    function generalSearch(){
		document.location = "../controller/controller.php?action=ListSongs&ListType=GeneralSearch&Criteria=" +  
			encodeURIComponent($('#Criteria').val());
	}
   
</script>
 </div>

            <!-- Footer PHP -->
        <?php
        require '../view/footerinclude.php';
        ?>
        <script type="module" src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js"></script>
        <script nomodule src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"></script>
           </div>
    </body>
</html>

