<!DOCTYPE html>
<!-- As Above, so Below Page -->
<html lang="en">
    <!-- Header PHP -->
    <?php
    $title = htmlspecialchars($row['Title'])." - Mysteria" ;
    require 'headerinclude.php';
    ?>
    <body>
        <!-- Set the div container to 'bggrad' -->
        <div class="bggrad">
            
        <!-- Navbar PHP-->
        <?php
        include_once 'navinclude.php';
        ?>
        
        <!-- Set the div container to 'wrapper' -->
        <div class="wrapper">
            
          <h2 class="headingwhite"><?php echo htmlspecialchars($row['Title'])." - ".htmlspecialchars($row['Artist']) ?></h2>
          <?php if ($row['songImagePath'] != "") { ?>
          <img class="songimg" alt="Album art" src="<?php echo $row["songImagePath"] ?>" >
          <?php } ?>
           <table class='indextable'>
        <tr>
            <th>Title:</th>
            <td><?php echo htmlspecialchars($row['Title']) ?></td>
        </tr>
        <tr>
            <th>Artist:</th>
            <td><?php echo htmlspecialchars($row['Artist']) ?></td>
        </tr>
        <tr>
            <th>Album:</th>
            <td><?php echo htmlspecialchars($row['Album']) ?></td>
        </tr>
        <tr>
            <th>Genre:</th>
            <td><?php echo htmlspecialchars($row['Genre']) ?></td>
        </tr>
         <tr>
            <th>Link:</th>
            <td><a href="<?php echo htmlspecialchars($row['Link']) ?>"><?php echo htmlspecialchars($row['Link']) ?></a></td>
        </tr>
         <tr>
            <th>Length:</th>
            <td><?php echo toDisplayTime($row['Track_Length']) ?></td>
        </tr>
        <tr>
            <th>Release Date:</th>
            <td><?php echo toDisplayDate($row['Release_Date']) ?></td>
        </tr>
        <tr>
            <th>Upload Date:</th>
            <td><?php echo toDisplayDate($row['Upload_Date']) ?></td>
        </tr>
        <tr>
            <th>Is Video:</th>
            <td><?php echo htmlspecialchars($row['Is_Video']) ?></td>
        </tr>
        </table>
          <input type="button" value="Edit Song" id="editsongbutton" onclick="document.location='../controller/controller.php?action=EditSong&TrackID=<?php echo $row['TrackID'] ?>';"/>
          <input type="button" id="deletesongbutton" value="Delete Song" onclick="document.location='../controller/controller.php?action=DeleteSong&TrackID=<?php echo $row['TrackID'] ?>';"/>
        </div>
        
        <!-- Footer PHP -->
        <?php
        include_once 'footerinclude.php';
        ?>
        
        <script type="module" src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.esm.js"></script>
        <script nomodule src="https://unpkg.com/ionicons@5.5.2/dist/ionicons/ionicons.js"></script>
    </div>
    </body>
</html>


